{$IFDEF FPC}
  {$MODE DELPHI}
  {$DEFINE FMXAPP}
{$ELSE}
  {$IFDEF MACOS}
    {$DEFINE FMXAPP}
  {$ENDIF}

  {$IFDEF CONDITIONALEXPRESSIONS}
    // Delphi 2005
    {$IF RTLVersion >= 17.00}
      {$DEFINE USENAMESPACE}

      // Delphi 2006
      {$IF RTLVersion >= 18.00}
        {$DEFINE USEINLINE}
        {$DEFINE USESTATIC}
        {$DEFINE USECLASSPROPERTY}

        // Delphi 2009
        {$IF RTLVersion >= 20.00}
          {$DEFINE USEUNICODE}
          {$DEFINE USEGENERIC}
          {$DEFINE USEANONYMOUSMETHOD}
          {$DEFINE USECLASSSYNCHRONIZE}

          // Delphi 2010
          {$IF RTLVersion >= 21.00}
            {$DEFINE USERTTI}
            {$DEFINE USEINTFASOBJ}
            {$WEAKLINKRTTI ON}

            // Delphi XE2
            {$IF RTLVersion >= 23.00}
              {$DEFINE USEUNITSCOPE}
            {$IFEND}
          {$IFEND}
        {$IFEND}
      {$IFEND}
    {$IFEND}
  {$ENDIF}
{$ENDIF}